### Function

# Gck modules_get_slots

since: 1

#### Declaration [src]

    GList*
    gck_modules_get_slots (
      GList* modules,
      gboolean token_present
    )

#### Description [src]

Get a list of slots for across all of the modules.

Available since: 1

#### Parameters

`modules`

  Type: A list of `GckModule*`

  The modules.

  The data is owned by the caller of the function.

`token_present`

  Type: `gboolean`

  Whether to only list slots with token present.

#### Return value

Type: A list of `None`

A list of `GckSlot` objects, which should be freed with gck_list_unref_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.